# MEC API Test Purposes - GS 032-2

This repository contains the sources for the Test Purposes for MEC APIs Conformance Testing (MEC-DEC 032-2).
More information and download of the specification is available at [DGS/MEC-DEC032-2](https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=56775).

Latest publicly available drafts are available at https://docbox.etsi.org/isg/mec/open.

**{- Disclaimer: The content of this repository is related to a DRAFT, i.e. a working document, of ETSI ISG MEC. -}**
{-The content of the repository is provided for information only and is still under development. It may be updated, replaced, or removed at any time. Do not use as reference material. -} 

For more information on ETSI ISG Multi-access Edge Computing (MEC), visit https://www.etsi.org/technologies/multi-access-edge-computing.

## What are Test Purposes?

Test Purposes describe, for each individual functionality specified by the MEC API standards, the description of what is to be tested. Test Purpose describe the components involved and the expeced behaviour of the Implementation Under Test (IUT), together with all the needed information on the requirements to be tested from the base specifications.

For more information on Test Purposes and the ETSI Test Methodology visit https://portal.etsi.org/Services/CentreforTestingInteroperability/ETSIApproach/ConformanceTesting.aspx.

The test purposes are written in ETSI TDL (Test Description Language), with the Test Objectives extension.

For more information on ETSI TDL and the TOP Open Source project visit https://tdl.etsi.org.

## How to report bugs or requests

Visit https://forge.etsi.org/bugzilla/describecomponents.cgi?product=MEC.

## Licensing information

The content of the repository is released under the BSD-3-Clause.
For more information see LICENSE or visit https://forge.etsi.org/legal-matters.
